Bug 1046 - getpwent_list copies over pw_name with pw_shell, pw_gecos and pw_dir
getpwent_list copies over pw_name with pw_shell, pw_gecos and pw_dir
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Domain Control
3.0.2
All Linux
: P3 major
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-08 03:44 UTC by Bostjan Golob
Modified: 2005-11-14 09:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bostjan Golob 2004-02-08 03:44:33 UTC
in lib/util_getent.c:
 in getpwent_list():
  in while(pwd != NULL): (line 171)
    if (pwd->pw_gecos) { .. pent->pw_name = strdup(pwd->pw_gecos) ... }
    
happens three times (gecos, dir, shell)
Comment 1 Gerald (Jerry) Carter 2004-02-10 14:20:00 UTC
patch applied.  fixed in 3.0 tree.  thanks.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:27:00 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 3 Gerald (Jerry) Carter 2005-11-14 09:30:41 UTC
database cleanup